Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class ResultNameSpace

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.ResultNameSpace

public class ResultNameSpace
extends java.lang.Object

A representation of a result namespace. One of these will be pushed on the result tree namespace stack for each result tree element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`ResultNameSpace` | `m_next` Pointer to next ResultNameSpace
`java.lang.String` | `m_prefix` Prefix of namespace
`java.lang.String` | `m_uri` Namespace URI

Constructor Summary
`ResultNameSpace(java.lang.String prefix, java.lang.String uri)` Construct a namespace for placement on the result tree namespace stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_next

    public ResultNameSpace m_next

  Pointer to next ResultNameSpace

### m_prefix

    public java.lang.String m_prefix

  Prefix of namespace

### m_uri

    public java.lang.String m_uri

  Namespace URI

Constructor Detail

### ResultNameSpace

    public ResultNameSpace(java.lang.String prefix,
                           java.lang.String uri)

  Construct a namespace for placement on the result tree namespace stack.

  Parameters:
    `prefix` - of result namespace
    `uri` - URI of result namespace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference